Bug 1388171 - [RFE] support new pagination mechanism for the nova simple-tenant-usage API
Summary: [RFE] support new pagination mechanism for the nova simple-tenant-usage API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Radomir Dopieralski
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks: 1318250 1426490
TreeView+ depends on / blocked
 
Reported: 2016-10-24 16:09 UTC by Eoghan Glynn
Modified: 2017-05-17 19:36 UTC (History)
14 users (show)

Fixed In Version: python-django-horizon-11.0.0-0.20170131043553.aa444a6.el7ost
Doc Type: Enhancement
Doc Text:
To avoid memory bloat issues in the nova-api workers, pagination logic has been added to the simple-tenant-usage API extension.
Clone Of:
Environment:
Last Closed: 2017-05-17 19:36:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 386093 None None None 2017-01-11 12:07:12 UTC
OpenStack gerrit 386771 None None None 2017-01-11 12:07:32 UTC
OpenStack gerrit 410337 None None None 2017-01-11 12:25:53 UTC

Description Eoghan Glynn 2016-10-24 16:09:09 UTC
To avoid memory bloat issues in the nova-api workers, the nova project is planning to add pagination logic to the simple-tenant-usage API extension in Ocata:

https://blueprints.launchpad.net/nova/+spec/paginate-simple-tenant-usage

In order to avoid continuing to DOS the nova-api tier, Horizon will need to support this new pagination scheme by traversing between pages via the next link, then subsequently stitching back up the response such that the server_usages list for each tenant is made whole (such lists may cross page boundaries under the proposed solution).

Comment 2 Radomir Dopieralski 2016-12-14 11:04:46 UTC
A draft patch https://review.openstack.org/#/c/410337/

We still need to resolve a problem with specifying the API version https://review.openstack.org/#/c/410688/ and make Horizon load the correct microversion of the Nova API.

We also need to write tests for all this.

Comment 14 Radomir Dopieralski 2017-04-28 12:19:34 UTC
This feature is not visible to the users and as such can't be easily tested. The improvements in performance are not visible in small scale deployments.

Comment 16 errata-xmlrpc 2017-05-17 19:36:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.